org.jboss.resteasy.keystone.client

## Interface ProjectsResource

-     public interface ProjectsResource

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addUserRole(String id, String userId, String roleId)`
    `Response` | `create(Project project)`
    `Response` | `delete(String id)`
    `Project` | `get(String id)`
    `Projects` | `query(String name)`
    `void` | `removeUserRole(String id, String userId, String roleId)`
    `void` | `update(String id, Project project)`

- - ### Method Detail

    - #### create

          @POST
          @Consumes(value="application/json")
          @Produces(value="application/json")
          Response create(Project project)
                          throws Exception

      Throws:
        `Exception`

    - #### update

          @PUT
          @Consumes(value="application/json")
          @Produces(value="application/json")
          @Path(value="{id}")
          void update(@PathParam(value="id")
                                                              String id,
                                                              Project project)
                      throws Exception

      Throws:
        `Exception`

    - #### delete

          @DELETE
          @Path(value="{id}")
          Response delete(@PathParam(value="id")
                                         String id)

    - #### query

          @GET
          @Produces(value="application/json")
          Projects query(@QueryParam(value="name")
                                         String name)

    - #### get

          @GET
          @Path(value="{id}")
          @Produces(value="application/json")
          Project get(@PathParam(value="id")
                                                String id)

    - #### addUserRole

          @PUT
          @Path(value="{id}/users/{user}/roles/{role}")
          void addUserRole(@PathParam(value="id")
                                       String id,
                                       @PathParam(value="user")
                                       String userId,
                                       @PathParam(value="role")
                                       String roleId)

    - #### removeUserRole

          @DELETE
          @Path(value="{id}/users/{user}/roles/{role}")
          void removeUserRole(@PathParam(value="id")
                                             String id,
                                             @PathParam(value="user")
                                             String userId,
                                             @PathParam(value="role")
                                             String roleId)

Copyright © 2014. All Rights Reserved.